'use client'
import { FC, PropsWithChildren } from "react";
import { useRouter } from '@/i18n'
import { useTranslations } from "next-intl";
import './page.scss'

interface Props { }
const App: FC<PropsWithChildren<Props>> = (props) => {
    const t = useTranslations("ReportPage")
    return (
        <div className="content">
            <div className="report referral-router-view">
                <ul className="header">
                    <li>
                        <div>#</div>
                        <div>{t("Conta")}</div>
                        <div>{t("Apostas")}({t("R$")})</div>
                        <div>{t("ApostaEquipe")}({t("R$")})</div>
                        <div>{t("Comissão")}</div>
                    </li>
                </ul>
                <div role="feed" className="list van-list">
                    <div className="van-list__finished-text">{t("Opa")}</div>
                    <div className="van-list__placeholder"></div>
                </div>
            </div>
        </div>
    )
}
export default App