'use client'
import { FC, PropsWithChildren } from "react";
import { useRouter } from "@/i18n";
import { useTranslations } from "next-intl";
import HeaderCom from "../component/HeaderCom"
import TabsCom from "../component/TabsCom"
import './page.scss'

interface Props { }
const App: FC<PropsWithChildren<Props>> = (props) => {
    const t = useTranslations("PaymentsPage")
    return (
        <div className="content">
            <div className="referralPayment referral-router-view">
                <ul className="header">
                    <li>
                        <div>{t("Data")}</div>
                        <div>{t("Detalhe")}</div>
                        <div>{t("Comissão")}</div>
                        <div>{t("Status")}</div>
                    </li>
                </ul>
                <div role="feed" className="list van-list">
                    <div className="van-list__finished-text">{t("Opa")}</div>
                    <div className="van-list__placeholder"></div>
                </div>
            </div>
        </div>
    )
}
export default App